# 🧠 Typebot – Helm Chart

This Helm Chart deploys a **self-hosted Typebot** instance on Kubernetes with:

- **PostgreSQL** as the main database
- **Redis** for rate limiting and media processing (WhatsApp)
- **MinIO** (S3-compatible) for file storage
- **Traefik** as the Ingress controller
- All core components of Typebot (builder, viewer, backend)

---

## 🛠️ Requirements

- Helm 3.x
- A working Kubernetes cluster (with persistent storage support)
- A domain name with DNS configured
- Traefik installed as your Ingress controller

---

## 🚀 Installation

```bash
git clone https://github.com/your-org/typebot-helm.git
cd typebot-helm

# Customize values.yaml
vim values.yaml

# Install the chart
helm install typebot . -n typebot --create-namespace
```